3v4l.org

run code in 150+ php & hhvm versions
Bugs & Features
<?php class Z { public function __destruct() { throw new Exception('destruct Z'); } } class A { private $m; public function __construct() { $this->m = new Z(); } public function __destruct() { throw new Exception('destruct A'); } } class B { public function abc() { $a = new A(); } public function __destruct() { throw new Exception('destruct B'); } } try { try { { $b = new B(); try { $b->abc(); } catch (Exception $e) { echo $e->getMessage(); } //unset($b); } } catch (Exception $e) { echo $e->getMessage(); } } catch (Exception $e) { echo $e->getMessage(); } ?>
Output for 7.0.0 - 7.1.0
destruct Z Fatal error: Uncaught Exception: destruct B in /in/ThlJE:34 Stack trace: #0 [internal function]: B->__destruct() #1 {main} thrown in /in/ThlJE on line 34
Process exited with code 255.
Output for 5.6.28
destruct Z Fatal error: Uncaught exception 'Exception' with message 'destruct B' in /in/ThlJE:34 Stack trace: #0 [internal function]: B->__destruct() #1 {main} thrown in /in/ThlJE on line 34
Process exited with code 255.
Output for 5.3.0 - 5.3.29, 5.5.24 - 5.6.21
Fatal error: Uncaught exception 'Exception' with message 'destruct A' in /in/ThlJE:21 Stack trace: #0 /in/ThlJE(44): A->__destruct() #1 /in/ThlJE(44): B->abc() #2 {main} Next exception 'Exception' with message 'destruct Z' in /in/ThlJE:6 Stack trace: #0 /in/ThlJE(0): Z->__destruct() #1 {main} thrown in /in/ThlJE on line 6
Process exited with code 255.
Output for 5.4.0 - 5.4.45

Process exited with code 139.
Output for 5.2.0 - 5.2.17
Fatal error: Ignoring exception from Z::__destruct() while an exception is already active (Uncaught Exception in /in/ThlJE on line 21) in /in/ThlJE on line 62
Process exited with code 255.
Output for 5.1.3 - 5.1.6
Fatal error: Ignoring exception from Z::__destruct() while an exception is already active in /in/ThlJE on line 62
Process exited with code 255.
Output for 5.0.2 - 5.1.2
Fatal error: Ignoring exception from Z::__destruct() while an exception is already active in /in/ThlJE on line 62 Fatal error: Exception thrown without a stack frame in Unknown on line 0
Process exited with code 255.
Output for 5.0.0 - 5.0.1
Fatal error: Exception thrown without a stack frame in Unknown on line 0
Process exited with code 255.
Output for 4.4.2 - 4.4.9
Parse error: syntax error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /in/ThlJE on line 4
Process exited with code 255.
Output for 4.3.0 - 4.3.1, 4.3.5 - 4.4.1
Parse error: parse error, unexpected T_STRING, expecting T_OLD_FUNCTION or T_FUNCTION or T_VAR or '}' in /in/ThlJE on line 4
Process exited with code 255.
Output for 4.3.2 - 4.3.4
Parse error: parse error, expecting `T_OLD_FUNCTION' or `T_FUNCTION' or `T_VAR' or `'}'' in /in/ThlJE on line 4
Process exited with code 255.